Create Podcast
Create and auto-convert a podcast project. Currently, the LLM cost is covered by us but you will still be charged for the audio generation. In the future, you will be charged for both the LLM and audio generation costs.
Headers
Request
The ID of the model to be used for this Studio project, you can query GET /v1/models to list all available models.
Output quality of the generated audio. Must be one of: ‘standard’ - standard output format, 128kbps with 44.1kHz sample rate. ‘high’ - high quality output format, 192kbps with 44.1kHz sample rate and major improvements on our side. ‘ultra’ - ultra quality output format, 192kbps with 44.1kHz sample rate and highest improvements on our side. ‘ultra_lossless’ - ultra quality output format, 705.6kbps with 44.1kHz sample rate and highest improvements on our side in a fully lossless format.
Duration of the generated podcast. Must be one of: short - produces podcasts shorter than 3 minutes. default - produces podcasts roughly between 3-7 minutes. long - produces podcasts longer than 7 minutes.
An optional language of the Studio project. Two-letter language code (ISO 639-1).
A url that will be called by our service when the Studio project is converted. Request will contain a json blob containing the status of the conversion Messages:
-
When project was converted successfully: { type: “project_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, conversion_status: “success”, project_snapshot_id: “22m00Tcm4TlvDq8ikMAT”, error_details: None, } }
-
When project conversion failed: { type: “project_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, conversion_status: “error”, project_snapshot_id: None, error_details: “Error details if conversion failed” } }
-
When chapter was converted successfully: { type: “chapter_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, chapter_id: “22m00Tcm4TlvDq8ikMAT”, conversion_status: “success”, chapter_snapshot_id: “23m00Tcm4TlvDq8ikMAV”, error_details: None, } }
-
When chapter conversion failed: { type: “chapter_conversion_status”, event_timestamp: 1234567890, data: { request_id: “1234567890”, project_id: “21m00Tcm4TlvDq8ikWAM”, chapter_id: “22m00Tcm4TlvDq8ikMAT”, conversion_status: “error”, chapter_snapshot_id: None, error_details: “Error details if conversion failed” } }
This parameter controls text normalization with four modes: ‘auto’, ‘on’, ‘apply_english’ and ‘off’. When set to ‘auto’, the system will automatically decide whether to apply text normalization (e.g., spelling out numbers). With ‘on’, text normalization will always be applied, while with ‘off’, it will be skipped. ‘apply_english’ is the same as ‘on’ but will assume that text is in English.